unity-applications-daemon crash in unity_package_searcher_get_random_apps()

Bug #738884 reported by Sasha Costanza-Chock on 2011-03-20
260
This bug affects 32 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Mikkel Kamstrup Erlandsen
Unity Foundations
High
Mikkel Kamstrup Erlandsen
unity-lens-applications
High
Mikkel Kamstrup Erlandsen
unity (Ubuntu)
Undecided
Unassigned
unity-place-applications (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: unity-place-applications

Details attached.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: unity-place-applications 0.2.40-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.36-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
Architecture: amd64
CrashCounter: 1
Date: Sun Mar 20 12:43:46 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/lib/unity-place-applications/unity-applications-daemon
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64+mac (20110319)
ProcCmdline: /usr/lib/unity-place-applications/unity-applications-daemon
ProcEnviron:
 SHELL=/bin/bash
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
Signal: 6
SourcePackage: unity-place-applications
StacktraceTop:
 raise () from /lib/x86_64-linux-gnu/libc.so.6
 abort () from /lib/x86_64-linux-gnu/libc.so.6
 __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
 ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
 std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
Title: unity-applications-daemon crashed with SIGABRT in raise()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Sasha Costanza-Chock (schock) wrote :

My hunch is that this is an uncaught Xapian::DocNotFoundError when fetching random apps for the Apps Available for Download section.

Changed in unity-place-applications:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Low
milestone: none → 0.2.42
status: New → Triaged
Changed in unity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Low
milestone: none → 3.6.8
status: New → Triaged
Changed in unity-foundations:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Low
milestone: none → unity-3.6.8
status: New → Triaged
Changed in unity-place-applications (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in unity-foundations:
importance: Low → High
Changed in unity-place-applications:
importance: Low → High
Changed in unity-place-applications (Ubuntu):
importance: Low → High
Changed in unity:
importance: Low → High
Changed in unity-foundations:
status: Triaged → Fix Committed
Changed in unity-place-applications:
status: Triaged → Fix Committed
Changed in unity-place-applications (Ubuntu):
status: Triaged → Fix Committed
Changed in unity:
status: Triaged → Fix Committed

Thanks - let me know if/when I should update and test again :)

schock

On 03/21/2011 01:22 AM, Mikkel Kamstrup Erlandsen wrote:
> My hunch is that this is an uncaught Xapian::DocNotFoundError when
> fetching random apps for the Apps Available for Download section.
>
> ** Also affects: unity-place-applications
> Importance: Undecided
> Status: New
>
> ** Changed in: unity-place-applications
> Importance: Undecided => Low
>
> ** Changed in: unity-place-applications
> Status: New => Triaged
>
> ** Changed in: unity-place-applications
> Milestone: None => 0.2.42
>
> ** Changed in: unity-place-applications
> Assignee: (unassigned) => Mikkel Kamstrup Erlandsen (kamstrup)
>
> ** Also affects: unity
> Importance: Undecided
> Status: New
>
> ** Changed in: unity
> Importance: Undecided => Low
>
> ** Changed in: unity
> Status: New => Triaged
>
> ** Changed in: unity
> Milestone: None => 3.6.8
>
> ** Changed in: unity
> Assignee: (unassigned) => Mikkel Kamstrup Erlandsen (kamstrup)
>
> ** Also affects: unity-foundations
> Importance: Undecided
> Status: New
>
> ** Changed in: unity-foundations
> Importance: Undecided => Low
>
> ** Changed in: unity-foundations
> Status: New => Triaged
>
> ** Changed in: unity-foundations
> Milestone: None => unity-3.6.8
>
> ** Changed in: unity-foundations
> Assignee: (unassigned) => Mikkel Kamstrup Erlandsen (kamstrup)
>
> ** Changed in: unity-place-applications (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: unity-place-applications (Ubuntu)
> Status: New => Triaged
>

This bug was fixed in the package unity-place-applications - 0.2.40-0ubuntu2

---------------
unity-place-applications (0.2.40-0ubuntu2) natty; urgency=low

  * Cherry pick r185 to fix a common natty crasher on xapian errors
    (lp: #738884)
 -- Sebastien Bacher <email address hidden> Tue, 22 Mar 2011 10:38:11 +0100

Changed in unity-place-applications (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-foundations:
status: Fix Committed → Fix Released
Changed in unity-place-applications:
status: Fix Committed → Fix Released
summary: - unity-applications-daemon crashed with SIGABRT in raise()
+ unity-applications-daemon crash in
+ unity_package_searcher_get_random_apps()
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.